.vacancy-details {
  display: flex;
  flex-flow: column;
  row-gap: 1.5rem;
}
.vacancy-details__title {
  margin: 0;
}
.vacancy-details__title {
  color: #ff8b02;
  background: linear-gradient(133deg, #FFCCF6 -16.63%, #FD7EA3 25.45%, #FF8B02 65.71%);
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}
.vacancy-details__title {
  font-family: "omnes-pro", sans-serif;
  font-weight: 500;
  line-height: 1.2;
}
.vacancy-details__title {
  font-size: 2rem;
  font-weight: normal;
}
@media (min-width: 1024px) {
  .vacancy-details__title {
    font-size: 3.75rem;
  }
}
.vacancy-details__items {
  display: flex;
  flex-flow: column;
  row-gap: 12px;
}
.vacancy-details__item {
  display: flex;
  flex-flow: row wrap;
  align-items: center;
  -moz-column-gap: 8px;
       column-gap: 8px;
}
.vacancy-details__item {
  font-family: "omnes-pro", sans-serif;
  font-weight: 500;
  font-size: 1.125rem;
  line-height: 1.15;
}
@media (min-width: 1024px) {
  .vacancy-details__item {
    font-size: 1.5rem;
  }
}
.vacancy-details__item:before {
  display: block;
  content: "";
  width: 24px;
  height: 24px;
  flex: 0 0 24px;
  background-size: cover;
}
@media (min-width: 1024px) {
  .vacancy-details__item:before {
    width: 40px;
    height: 40px;
    flex-basis: 40px;
  }
}
.vacancy-details__item--id-location:before {
  background-image: url("images/icon--location.svg");
}
.vacancy-details__item--id-premise:before {
  background-image: url("images/icon--premise.svg");
}
.vacancy-details__item--id-type:before {
  background-image: url("images/icon--type.svg");
}
.vacancy-details__item--id-salary:before {
  background-image: url("images/icon--salary.svg");
}
.vacancy-details__item--id-id:before {
  background-image: url("images/icon--id.svg");
}
.vacancy-details__item-label {
  font-weight: 500;
}
.vacancy-details__actions {
  display: flex;
  flex-flow: row wrap;
  justify-content: space-between;
  gap: 1rem;
  margin-top: 1.5rem;
}
.vacancy-details__actions .button {
  min-width: 156px;
}
@media (min-width: 768px) {
  .vacancy-details__actions {
    justify-content: start;
    gap: 1rem;
    margin-top: auto;
  }
  .vacancy-details__actions .button {
    min-width: 220px;
  }
}
